214 countries and territories189 of 193 UN membersmonthly to 2026-09back to 1926
Documentation / Context / 78 of 91

Holidays by month

GET/v1/holidays/matrix

Every country against the twelve months of a year: how many national holidays fall in each month, and the year's total.

On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
NameTypeDescription
yearoptionalinteger
query
Calendar year
e.g. 2026
limitoptionalinteger
query
Rows per page, 1 to 1000
e.g. 100
cursoroptionalstring
query
The next value from the previous page
Request
# National holidays per country per month
curl "https://api.tourismapi.com/v1/holidays/matrix" \
  -H "X-API-Key: $TOURISM_API_KEY"
Ready
Example response
{
    "meta": {
        "request_id": "req_acbdf32530",
        "data_as_of": "2026-10-21T17:42:32Z",
        "count": 247,
        "year": 2026,
        "months": "national holidays (distinct dates) in January to December, in order"
    },
    "data": [
        {
            "iso": "AF",
            "name": "Afghanistan",
            "months": [
                0,
                0,
                0
            ],
            "total": 14
        },
        {
            "iso": "AL",
            "name": "Albania",
            "months": [
                0,
                5,
                3
            ],
            "total": 23
        },
        {
            "iso": "DZ",
            "name": "Algeria",
            "months": [
                0,
                1,
                0
            ],
            "total": 14
        }
    ]
}
Response fields
FieldTypeExample
isostringAF
namestringAfghanistan
monthsarray3 items
totalnumber14